Attach Report External ID
curl --request POST \
--url https://api.promptlayer.com/reports/{report_id}/external-ids \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"source": "<string>",
"external_id": "<string>"
}
'import requests
url = "https://api.promptlayer.com/reports/{report_id}/external-ids"
payload = {
"source": "<string>",
"external_id": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: '<string>', external_id: '<string>'})
};
fetch('https://api.promptlayer.com/reports/{report_id}/external-ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"external_id": {
"source": "<string>",
"external_id": "<string>"
}
}{
"message": "<string>",
"success": false
}{
"message": "<string>",
"success": false
}{
"message": "<string>",
"success": false
}{
"message": "<string>",
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Evaluations & Reports API
Attach Report External ID
POST
/
reports
/
{report_id}
/
external-ids
Attach Report External ID
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
{source, external_id} mapping to an existing report or evaluation pipeline.
Attaching the same mapping to the same report is idempotent. Reusing the mapping on another entity returns 409 Conflict. See External IDs.Authorizations
Path Parameters
Body
application/json
Was this page helpful?
⌘I

